services:
  app:
    build:
      context: .
      dockerfile: apache/Dockerfile
    container_name: ${PROJECT_NAME}-app
    restart: always
    working_dir: /var/www/
    ports:
      - '80:80'
    volumes:
      - ../:/var/www
      - ./apache/sites/symfony-skeleton.conf:/etc/apache2/sites-available/000-default.conf
  database:
    image: mysql:8.4
    container_name: ${PROJECT_NAME}-db
    restart: always
    environment:
      MYSQL_DATABASE: ${PROJECT_NAME}
      MYSQL_USER: 'user'
      MYSQL_PASSWORD: 'root'
      MYSQL_ROOT_PASSWORD: 'root'
    ports:
      - '3306:3306'
    expose:
      - '3306'
    volumes:
      - ./db:/var/lib/mysql